﻿using AsmodeeNet.Network.ScalableServer;
using ProtoBuf;
using System;

namespace AsmodeeNet.Example
{
    /// <summary>
    /// Event which indicates the end of a round
    /// </summary>
    [ProtoContract, Serializable]
    public class RoundEnded : IEvent
    {
        /// <summary>
        /// Player local ID
        /// </summary>
        [ProtoMember(1)]
        public int PlayerLocalID { get; set; }

        /// <summary>
        /// UTC time
        /// </summary>
        [ProtoMember(2)]
        public long Time { get; set; }

        public RoundEnded()
        {
        }

        public RoundEnded(int playerLocalID)
        {
            PlayerLocalID = playerLocalID;
            Time = DateTime.Now.Ticks;
        }
    }
}
