﻿using com.daysofwonder;
using ProtoBuf;
using System;

namespace AsmodeeNet.Network.ScalableServer
{
    /// <summary>
    /// Local player
    /// </summary>
    [ProtoContract, Serializable]
    public class LocalPlayerSeat : IPlayerSeat
    {
        /// <summary>
        /// DoW player
        /// </summary>
        [ProtoMember(1)]
        public Player DoWPlayer { get; set; }

        /// <summary>
        /// ID of the player in the current game
        /// </summary>
        [ProtoMember(2)]
        public int LocalId { get; set; }

        /// <summary>
        /// Name of the player
        /// </summary>
        [ProtoMember(3)]
        public string Name { get; set; }

        public LocalPlayerSeat(Player dowPlayer)
        {
            DoWPlayer = dowPlayer;
            LocalId = dowPlayer.id;
            Name = dowPlayer.name;
        }

        public LocalPlayerSeat(int localId, string name)
        {
            LocalId = localId;
            Name = name;
        }

        public LocalPlayerSeat()
        {
        }
    }
}
